[Swift-commit] r5641 - SwiftApps/SciColSim
jonmon at ci.uchicago.edu
jonmon at ci.uchicago.edu
Thu Feb 16 15:41:13 CST 2012
Author: jonmon
Date: 2012-02-16 15:41:13 -0600 (Thu, 16 Feb 2012)
New Revision: 5641
Modified:
SwiftApps/SciColSim/swiftopt.sh
Log:
o SciColSim/swiftopt.sh
-- set movie_graph.txt to a variable, may have different inputs
-- save the return code from the swift run and exit with it
Modified: SwiftApps/SciColSim/swiftopt.sh
===================================================================
--- SwiftApps/SciColSim/swiftopt.sh 2012-02-16 21:07:39 UTC (rev 5640)
+++ SwiftApps/SciColSim/swiftopt.sh 2012-02-16 21:41:13 UTC (rev 5641)
@@ -40,6 +40,8 @@
dryrun=
escapecode=$(printf '\033')
fixed_params=2 # Currently CONSTANT, will want to have this vary
+graph=movie_graph.txt
+rc=0
# Process command line arguments
while [ $# -gt 0 ]; do
@@ -98,7 +100,7 @@
echo Missing configuration file $execsite.cf
fi
-cp movie_graph.txt $rundir
+cp $graph $rundir
# Echo parameters
echo Annealing parameters:
@@ -138,13 +140,13 @@
fi
if [ "$USE_SCS" == "1" ]; then
- runswift "sites.xml"
+ rc=runswift "sites.xml"
stop-coaster-service
else
- runswift "$execsite.xml"
+ rc=runswift "$execsite.xml"
fi
-exit $?
+exit $rc
# @arg("nworkers","4")
# @arg("rerunsperapp", "100")
More information about the Swift-commit
mailing list